plotLongVector {HilbertVis} | R Documentation

## A simple function to plot a very long vector.

### Description

This function does basically the same as just calling `plot( vec )` but is much faster in case of a very long vector. This is because it first calls `shrinkVector`.

### Usage

    plotLongVector(vec, offset = 1, shrinkLength = 4000, xlab = "", ylab = "", ...)

### Arguments

`vec` | The numerical vector to be plotted
`offset` | The x axis is labelled with numbers from `offset` to `offset+length(vec)-1`.
`shrinkLength` | To which length to shrink the vector before plotting it. Should be at least the width of your plot in pixels.
`xlab` | The label of the x axis, to be passed to `plot`.
`ylab` | The label of the y axis, to be passed to `plot`.
`...` | Further arguments to be passed to `plot`.

### Value

Invisible Null and a plot.

### Author(s)

Simon Anders, EMBL-EBI, sanders@fs.tum.de

### Examples

    plotLongVector( rep( 1:100000, 20 ) )

[Package HilbertVis version 1.2.0 Index]